import DS from 'ember-data'
export default DS.Model.extend
  name:                     DS.attr('string')
  edit_from_workflow_group: DS.attr('boolean')

  organization:   DS.belongsTo('panda/organization')
  tracker_groups: DS.hasMany('panda/tracker-group')
  projects:       DS.hasMany('panda/project', serialize: 'ids')

  trackerGroupSort: ['position:asc']
  sorted_tracker_groups: Ember.computed.sort('tracker_groups', 'trackerGroupSort')
